<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class DigitalAdsLeads extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('digitalAdsLeads', function (Blueprint $table) {
            $table->id();
            $table->date('start_date');
$table->enum('ChannelSource', array('GoogleAds','FacebookAds','YoutubeAds','OtherSmAds','WebSitePage','FacebookPage','YoutubePage','BlogPage'))->default('googleAds');
$table->enum('status', array('FreshNewLead','NextPickUp','TodayFollowUp','UpcomingFollowUp','OldPendingFollowUp',
'Underwriting','HoldFtnr','Relook','Recommend','Approved','PostDoxSubmited','Disbrused','Cancel','Reject','NotInterested',
'NotAnswar'))->default('FreshNewLead');
    $table->enum('LoanProduct', array('PersonalLoan','BusinessLoan','SmallBusinessLoan','SepLoan'))->default('PersonalLoan');
            $table->string('CustomerName');
            $table->string('OrganizationName');
            $table->string('EMailId');
            $table->string('PhoneNumber');
            $table->string('RequiredLoanAmount');
            $table->string('BankName');
            $table->string('Location');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('digitaladsleads');
        Schema::dropIfExists('category');
        
    }
}
